## fontmake 1.4.0

=== requirements.txt ===
fonttools==3.21.2
cu2qu==1.3.0
glyphsLib==2.2.1
ufo2ft==1.1.0
MutatorMath==2.1.0
defcon==0.3.5
booleanOperations==0.8.0

=== debian/changelog ===
fontmake (1.4.0-2) unstable; urgency=medium

  * Split fontmake binary into separate package from python3 module.

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 28 Jan 2018 09:44:07 -0500

fontmake (1.4.0-1) unstable; urgency=medium

  * Initial upload. Closes: #865283

 -- Yao Wei (魏銘廷) <mwei@lxde.org>  Wed, 17 Jan 2018 23:48:30 +0800

=== debian/control ===
Source: fontmake
Section: devel
Priority: optional
Maintainer: Debian Fonts Team <debian-fonts@lists.debian.org>
Uploaders: Yao Wei (魏銘廷) <mwei@lxde.org>
Build-Depends:
 debhelper (>= 10),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-fonttools (>= 3.21.2),
 python3-cu2qu (>= 1.3.0),
 python3-glyphslib (>= 2.2.1),
 python3-ufo2ft (>= 1.1.0),
 python3-mutatormath (>= 2.1.0),
 python3-defcon (>= 0.3.5),
 python3-booleanoperations (>= 0.8.0)
Standards-Version: 4.1.3
Homepage: https://github.com/googlei18n/fontmake
Vcs-Git: https://salsa.debian.org/fonts-team/fontmake.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fontmake
X-Python3-Version: >= 3.4

Package: fontmake
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-fontmake (= ${binary:Version})
Description: Compile fonts from UFO or Glyphs to OTF/TTF
 This library provides a wrapper for several other Python libraries which
 together compile fonts from various sources (.glyphs, .ufo) into binaries
 (.otf, .ttf).
 .
 This package provides the executable program.

Package: python3-fontmake
Section: python
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ttfautohint
Description: Python library for compiling fonts from UFO or Glyphs to OTF/TTF
 This library provides a wrapper for several other Python libraries which
 together compile fonts from various sources (.glyphs, .ufo) into binaries
 (.otf, .ttf).

## fontmake 1.6.1

=== debian/changelog ===
fontmake (1.6.1-1) unstable; urgency=medium

  * New upstream version 1.6.1
  * debian/control:
    - Update dependencies
    - Bump Standards-Version to 4.1.5
    - Remove deprecated X-Python3-Version field
    - Bump debhelper to 11
  * debian/compat:
    - Bump debhelper to 11

 -- Yao Wei (魏銘廷) <mwei@lxde.org>  Tue, 11 Sep 2018 15:56:19 +0800

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,24 @@
 Source: fontmake
 Section: devel
 Priority: optional
-Maintainer: Debian Fonts Team <debian-fonts@lists.debian.org>
+Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders: Yao Wei (魏銘廷) <mwei@lxde.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  dh-python,
  python3-all,
  python3-setuptools,
- python3-fonttools (>= 3.21.2),
- python3-cu2qu (>= 1.3.0),
- python3-glyphslib (>= 2.2.1),
- python3-ufo2ft (>= 1.1.0),
- python3-mutatormath (>= 2.1.0),
- python3-defcon (>= 0.3.5),
+ python3-fonttools (>= 3.28.0),
+ python3-cu2qu (>= 1.5.0),
+ python3-glyphslib (>= 2.4.0),
+ python3-ufo2ft (>= 2.1.0),
+ python3-mutatormath (>= 2.1.1),
+ python3-defcon (>= 0.5.1),
  python3-booleanoperations (>= 0.8.0)
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 Homepage: https://github.com/googlei18n/fontmake
 Vcs-Git: https://salsa.debian.org/fonts-team/fontmake.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fontmake
-X-Python3-Version: >= 3.4
 
 Package: fontmake
 Architecture: all

## fontmake 1.8.0

=== requirements.txt ===
fonttools[ufo,lxml,unicode]==3.32.0
cu2qu==1.6.5
glyphsLib==3.1.3
ufo2ft[pathops]==2.5.0
MutatorMath==2.1.2
defcon[lxml]==0.6.0
booleanOperations==0.8.1
skia-pathops==0.2.0.post2

=== debian/changelog ===
fontmake (1.8.0-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Build-Depend on python3-mock
  * Run test_arguments.py build test
  * Add Testsuite: autopkgtest-pkg-python

  [ Yao Wei (魏銘廷) ]
  * New upstream version 1.8.0 (Closes: #900777)
  * debian/control:
    - Bump Standards-Version to 4.2.1
    - Update dependencies
    - Change uploader email address
  * debian/rules:
    - Remove files generated by setuptools-scm in dh_auto_clean

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Fri, 14 Dec 2018 10:48:21 +0800

=== debian/control ===
--- 
+++ 
@@ -2,23 +2,26 @@
 Section: devel
 Priority: optional
 Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
-Uploaders: Yao Wei (魏銘廷) <mwei@lxde.org>
+Uploaders: Yao Wei (魏銘廷) <mwei@debian.org>
 Build-Depends:
  debhelper (>= 11),
  dh-python,
  python3-all,
  python3-setuptools,
- python3-fonttools (>= 3.28.0),
- python3-cu2qu (>= 1.5.0),
- python3-glyphslib (>= 2.4.0),
- python3-ufo2ft (>= 2.1.0),
- python3-mutatormath (>= 2.1.1),
- python3-defcon (>= 0.5.1),
- python3-booleanoperations (>= 0.8.0)
-Standards-Version: 4.1.5
+ python3-setuptools-scm,
+ python3-fonttools (>= 3.32.0),
+ python3-cu2qu (>= 1.6.5),
+ python3-glyphslib (>= 3.1.3),
+ python3-ufo2ft (>= 2.5.0),
+ python3-mutatormath (>= 2.1.2),
+ python3-defcon (>= 0.6.0),
+ python3-booleanoperations (>= 0.8.1),
+ python3-mock <!nocheck>
+Standards-Version: 4.2.1
 Homepage: https://github.com/googlei18n/fontmake
 Vcs-Git: https://salsa.debian.org/fonts-team/fontmake.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fontmake
+Testsuite: autopkgtest-pkg-python
 
 Package: fontmake
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8

# test_output requires run.sh which requires installed fontmake, etc
export PYBUILD_TEST_ARGS=-s test -ptest_arguments.py

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm Lib/fontmake/_version.py

=== debian/watch ===
version=4
https://github.com/googlei18n/fontmake/releases \
	.*/archive/v@ANY_VERSION@@ARCHIVE_EXT@

## fontmake 2.0.0a1

=== debian/changelog ===
fontmake (2.0.0a1-1) unstable; urgency=medium

  * New upstream version 2.0.0a1
  * debian/control:
    * Update dependencies
    - Bump Standards-Version to 4.4.0

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Thu, 18 Jul 2019 10:24:30 -0300

=== debian/control ===
--- 
+++ 
@@ -9,15 +9,15 @@
  python3-all,
  python3-setuptools,
  python3-setuptools-scm,
- python3-fonttools (>= 3.32.0),
+ python3-fonttools (>= 3.43.0),
  python3-cu2qu (>= 1.6.5),
- python3-glyphslib (>= 3.1.3),
- python3-ufo2ft (>= 2.5.0),
+ python3-glyphslib (>= 4.0.0),
+ python3-ufo2ft (>= 2.9.1),
  python3-mutatormath (>= 2.1.2),
  python3-defcon (>= 0.6.0),
- python3-booleanoperations (>= 0.8.1),
+ python3-booleanoperations (>= 0.8.2),
  python3-mock <!nocheck>
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Homepage: https://github.com/googlei18n/fontmake
 Vcs-Git: https://salsa.debian.org/fonts-team/fontmake.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fontmake

## fontmake 2.0.7

=== debian/changelog ===
fontmake (2.0.7-1) unstable; urgency=medium

  * New upstream version 2.0.7
  * debian/control: Update dependencies

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Mon, 23 Dec 2019 00:12:48 +0100

fontmake (2.0.4-1) unstable; urgency=medium

  * New upstream version 2.0.4
  * debian/control:
    - Update dependency
    - Bump Standards-Version to 4.4.1

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 13 Oct 2019 14:38:48 +0800

fontmake (2.0.1-1) unstable; urgency=medium

  * New upstream version 2.0.1
  * Run pytest during building packages
  * debian/control:
    - Update dependencies
    - Bump debhelper-compat to 12
  * debian/copyright: Add license of MutatorSans used in tests

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 08 Sep 2019 15:28:00 +0800

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,23 @@
 Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders: Yao Wei (魏銘廷) <mwei@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dh-python,
  python3-all,
  python3-setuptools,
  python3-setuptools-scm,
- python3-fonttools (>= 3.43.0),
- python3-cu2qu (>= 1.6.5),
- python3-glyphslib (>= 4.0.0),
- python3-ufo2ft (>= 2.9.1),
+ python3-fonttools (>= 4.2.0),
+ python3-cu2qu (>= 1.6.6),
+ python3-glyphslib (>= 5.1.0),
+ python3-ufo2ft (>= 2.11.0),
  python3-mutatormath (>= 2.1.2),
+ python3-fontmath (>= 0.5.2),
  python3-defcon (>= 0.6.0),
- python3-booleanoperations (>= 0.8.2),
- python3-mock <!nocheck>
-Standards-Version: 4.4.0
+ python3-booleanoperations (>= 0.9.0),
+ python3-ufolib2 (>= 0.5.1),
+ python3-attr (>= 18.2.0),
+ python3-pytest <!nocheck>,
+Standards-Version: 4.4.1
 Homepage: https://github.com/googlei18n/fontmake
 Vcs-Git: https://salsa.debian.org/fonts-team/fontmake.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fontmake

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm Lib/fontmake/_version.py

## fontmake 2.0.10

=== requirements.txt ===
fonttools[lxml,unicode,ufo]==4.4.0
cu2qu==1.6.7
glyphsLib==5.1.6
ufo2ft[pathops]==2.12.0
MutatorMath==2.1.2
fontMath==0.5.2
defcon[lxml]==0.6.0
booleanOperations==0.9.0
ufoLib2==0.6.1
attrs==19.3.0

=== debian/changelog ===
fontmake (2.0.10-1) unstable; urgency=medium

  * New upstream version 2.0.10
  * d/control: Update dependencies
  * d/control: Bump Standards-Version to 4.5.0
  * d/rules: Prevent test artifacts being packaged

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Mon, 02 Mar 2020 01:04:45 +0800

=== debian/control ===
--- 
+++ 
@@ -9,18 +9,18 @@
  python3-all,
  python3-setuptools,
  python3-setuptools-scm,
- python3-fonttools (>= 4.2.0),
- python3-cu2qu (>= 1.6.6),
- python3-glyphslib (>= 5.1.0),
- python3-ufo2ft (>= 2.11.0),
+ python3-fonttools (>= 4.4.0),
+ python3-cu2qu (>= 1.6.7),
+ python3-glyphslib (>= 5.1.6),
+ python3-ufo2ft (>= 2.12.0),
  python3-mutatormath (>= 2.1.2),
  python3-fontmath (>= 0.5.2),
  python3-defcon (>= 0.6.0),
  python3-booleanoperations (>= 0.9.0),
- python3-ufolib2 (>= 0.5.1),
+ python3-ufolib2 (>= 0.6.1),
  python3-attr (>= 18.2.0),
  python3-pytest <!nocheck>,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/googlei18n/fontmake
 Vcs-Git: https://salsa.debian.org/fonts-team/fontmake.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fontmake

=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,7 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm Lib/fontmake/_version.py
+
+override_dh_auto_test:
+	dh_auto_test
+	rm -rf $(CURDIR)/.pybuild/cpython3_*/build/instance_ttf

## fontmake 2.1.4

=== requirements.txt ===
fonttools[lxml,unicode,ufo]==4.10.2
cu2qu==1.6.7
glyphsLib==5.1.10
ufo2ft[pathops]==2.14.0
MutatorMath==2.1.2
fontMath==0.6.0
defcon[lxml]==0.6.0
booleanOperations==0.9.0
ufoLib2==0.7.1
attrs==19.3.0

=== debian/changelog ===
fontmake (2.1.4-1) unstable; urgency=medium

  * New upstream version 2.1.4
  * Bump Build-Depends

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sat, 30 May 2020 09:29:13 +0800

=== debian/control ===
--- 
+++ 
@@ -9,15 +9,15 @@
  python3-all,
  python3-setuptools,
  python3-setuptools-scm,
- python3-fonttools (>= 4.4.0),
+ python3-fonttools (>= 4.10.2),
  python3-cu2qu (>= 1.6.7),
- python3-glyphslib (>= 5.1.6),
- python3-ufo2ft (>= 2.12.0),
+ python3-glyphslib (>= 5.1.10),
+ python3-ufo2ft (>= 2.14.0),
  python3-mutatormath (>= 2.1.2),
- python3-fontmath (>= 0.5.2),
+ python3-fontmath (>= 0.6.0),
  python3-defcon (>= 0.6.0),
  python3-booleanoperations (>= 0.9.0),
- python3-ufolib2 (>= 0.6.1),
+ python3-ufolib2 (>= 0.7.1),
  python3-attr (>= 18.2.0),
  python3-pytest <!nocheck>,
 Standards-Version: 4.5.0

## fontmake 2.3.0

=== requirements.txt ===
fonttools[lxml,unicode,ufo]==4.18.1
cu2qu==1.6.7
glyphsLib==5.3.0
ufo2ft[pathops]==2.19.1
MutatorMath==2.1.2
fontMath==0.6.0
defcon[lxml]==0.7.2
booleanOperations==0.9.0
ufoLib2==0.8.0
attrs==20.2.0
cffsubr==0.2.7

=== debian/changelog ===
fontmake (2.3.0-3) unstable; urgency=medium

  * Team upload

  [ Yao Wei (魏銘廷) ]
  * Update debian/watch to new GitHub format

  [ Hideki Yamane ]
  * Add Rules-Requires-Root: no
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * debian/control
    - Add Rules-Requires-Root: no
  * debian/patches
    - Drop Add-files-to-adjust-to-upstream-source.patch
  * debian/source/options
    - Add it instead of above patch
  * Add debian/salsa-ci.yml

 -- Hideki Yamane <henrich@debian.org>  Thu, 01 Jul 2021 03:29:33 +0900

fontmake (2.3.0-2) unstable; urgency=medium

  * Team upload

  * debian/control
    - Now fonttools incluces cu2qu, so drop python3-cu2qu amd bump up
      python3-fonttools version
  * debian/patches
    - Add fonttools-now-inclues-cu2qu.patch
    - Add Add-files-to-adjust-to-upstream-source.patch

 -- Hideki Yamane <henrich@debian.org>  Fri, 12 Feb 2021 08:04:14 +0900

fontmake (2.3.0-1) unstable; urgency=medium

  * New upstream version 2.3.0
  * debian/rules: Generate manpage from help message
  * debian/control:
    - Update dependencies
    - debian/control: Use debhelper 13
    - debian/control: Bump Standards-Version to 4.5.1; No other
      change is needed.

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 13 Dec 2020 23:39:52 +0800

fontmake (2.2.1-1) unstable; urgency=medium

  * New upstream version 2.2.1
  * d/control: Update dependencies

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Mon, 26 Oct 2020 00:10:57 +0800

=== debian/control ===
--- 
+++ 
@@ -4,27 +4,29 @@
 Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders: Yao Wei (魏銘廷) <mwei@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-setuptools,
  python3-setuptools-scm,
- python3-fonttools (>= 4.10.2),
- python3-cu2qu (>= 1.6.7),
- python3-glyphslib (>= 5.1.10),
- python3-ufo2ft (>= 2.14.0),
+ python3-fonttools (>= 4.19.1),
+ python3-glyphslib (>= 5.3.0~b1),
+ python3-ufo2ft (>= 2.19.1-2),
  python3-mutatormath (>= 2.1.2),
  python3-fontmath (>= 0.6.0),
- python3-defcon (>= 0.6.0),
+ python3-defcon (>= 0.7.2),
  python3-booleanoperations (>= 0.9.0),
- python3-ufolib2 (>= 0.7.1),
- python3-attr (>= 18.2.0),
+ python3-ufolib2 (>= 0.8.0),
+ python3-attr (>= 20.2.0),
+ python3-cffsubr (>= 0.2.7),
  python3-pytest <!nocheck>,
-Standards-Version: 4.5.0
+ help2man,
+Standards-Version: 4.5.1
 Homepage: https://github.com/googlei18n/fontmake
 Vcs-Git: https://salsa.debian.org/fonts-team/fontmake.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fontmake
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: fontmake
 Architecture: all

## fontmake 2.4.1

=== requirements.txt ===
fonttools[unicode,ufo,lxml]==4.22.0 ; platform_python_implementation == 'CPython'
fonttools[unicode,ufo]==4.22.0 ; platform_python_implementation != 'CPython'
cu2qu==1.6.7.post1
glyphsLib==5.3.2
ufo2ft[pathops]==2.21.0
MutatorMath==3.0.1
fontMath==0.6.0
defcon[lxml]==0.8.1 ; platform_python_implementation == 'CPython'
defcon==0.8.1 ; platform_python_implementation != 'CPython'
booleanOperations==0.9.0
ufoLib2==0.8.0
attrs==20.3.0
cffsubr==0.2.8
compreffor==0.5.1

=== debian/changelog ===
fontmake (2.4.1-2) unstable; urgency=medium

  * Team Upload.
  * Cherry-pick upstream patch to fix FTBFS (Closes: #1022452)
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 29 Oct 2022 18:11:53 +0530

fontmake (2.4.1-1) unstable; urgency=medium

  * New upstream version 2.4.1
  * debian/control:
    - Update Build-Depends versions
    - Add python3-compreffor to Build-Depends
    - Update Standards-Version to 4.6.0
  * debian/patches:
    - Remove fonttools-now-inclues-cu2qu.patch

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 29 Aug 2021 14:42:27 +0800

=== debian/control ===
--- 
+++ 
@@ -9,19 +9,20 @@
  python3-all,
  python3-setuptools,
  python3-setuptools-scm,
- python3-fonttools (>= 4.19.1),
+ python3-fonttools (>= 4.22.0),
  python3-glyphslib (>= 5.3.0~b1),
- python3-ufo2ft (>= 2.19.1-2),
+ python3-ufo2ft (>= 2.21.0),
  python3-mutatormath (>= 2.1.2),
  python3-fontmath (>= 0.6.0),
- python3-defcon (>= 0.7.2),
+ python3-defcon (>= 0.8.1),
  python3-booleanoperations (>= 0.9.0),
  python3-ufolib2 (>= 0.8.0),
  python3-attr (>= 20.2.0),
  python3-cffsubr (>= 0.2.7),
+ python3-compreffor (>= 0.5.1),
  python3-pytest <!nocheck>,
  help2man,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/googlei18n/fontmake
 Vcs-Git: https://salsa.debian.org/fonts-team/fontmake.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fontmake

=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,17 @@
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
+override_dh_auto_build:
+	dh_auto_build
+	PYTHONPATH="$(CURDIR)/Lib" help2man \
+		   -n "compile fonts from UFO or Glyphs to OTF/TTF" \
+		   --no-info \
+		   "python3 $(CURDIR)/Lib/fontmake" \
+		   > debian/fontmake.1
+
 override_dh_auto_clean:
-	dh_auto_clean
-	rm Lib/fontmake/_version.py
+	-dh_auto_clean
+	-rm Lib/fontmake/_version.py
 
 override_dh_auto_test:
 	dh_auto_test

=== debian/watch ===
version=4
https://github.com/googlei18n/fontmake/releases \
	.*/archive/refs/tags/v@ANY_VERSION@@ARCHIVE_EXT@

## fontmake 3.10.0

=== requirements.txt ===
fonttools[ufo,repacker,lxml,unicode]==4.54.1; platform_python_implementation == 'CPython'
fonttools[ufo,repacker,unicode]==4.54.1; platform_python_implementation != 'CPython'
glyphsLib==6.9.2
ufo2ft==3.3.1
fontMath==0.9.4
booleanOperations==0.9.0
ufoLib2==0.16.0
cffsubr==0.3.0
compreffor==0.5.6
ttfautohint-py==0.5.1

# optional, for experimental reading/writing ufoLib2's UFO as json
cattrs==24.1.2
orjson==3.10.9; platform_python_implementation == 'CPython'

=== debian/changelog ===
fontmake (3.10.0-2) unstable; urgency=medium

  * Team upload.
  * debian/control: Move package description to source section.
  * debian/patches/backport/ca96d25faa67638930.patch: Cherry-pick upstream
    patch to fix compatibility with new fonttools. (Closes: #1088717)

 -- Boyuan Yang <byang@debian.org>  Sat, 25 Jan 2025 10:23:01 -0500

fontmake (3.10.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Tighten version requirement.
  * debian/patches: Drop obsolete patches.
  * debian/rules: Clean up post-test file removal commands.
  * debian/patches/Skip-test_autohinting-due-to-missing-ttfautohint-py.patch:
    Skip tests that require ttfautohint-py.

 -- Boyuan Yang <byang@debian.org>  Fri, 25 Oct 2024 15:28:39 -0400

fontmake (3.1.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 3.1.3 (2022-01-25).
  * debian/watch: Fix monitoring script.
  * debian/control: Bump Standards-Version to 4.7.0.
  * debian/control: Build-depends on pybuild-plugin-pyproject.
  * debian/control: Correct homepage.
  * debian/docs: Fix doc installation, now using README.md.

 -- Boyuan Yang <byang@debian.org>  Fri, 18 Oct 2024 16:19:21 -0400

=== debian/control ===
Source: fontmake
Section: devel
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders: Yao Wei (魏銘廷) <mwei@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
 python3-setuptools-scm,
 python3-fonttools (>= 4.55),
 python3-glyphslib (>= 6.9.2),
 python3-ufo2ft (>= 3.3.1),
 python3-mutatormath (>= 2.1.2),
 python3-fontmath (>= 0.9.4),
 python3-defcon (>= 0.8.1),
 python3-booleanoperations (>= 0.9.0),
 python3-ufolib2 (>= 0.16.0),
 python3-attr (>= 20.2.0),
 python3-cffsubr (>= 0.3.0),
 python3-compreffor (>= 0.5.6),
 python3-pytest <!nocheck>,
 help2man,
Standards-Version: 4.7.0
Homepage: https://github.com/googlefonts/fontmake
Vcs-Git: https://salsa.debian.org/fonts-team/fontmake.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fontmake
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no
Description: Compile fonts from UFO or Glyphs to OTF/TTF
 This library provides a wrapper for several other Python libraries which
 together compile fonts from various sources (.glyphs, .ufo) into binaries
 (.otf, .ttf).

Package: fontmake
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-fontmake (= ${binary:Version})
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package provides the executable program.

Package: python3-fontmake
Section: python
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ttfautohint
Description: Python library for compiling fonts from UFO or Glyphs to OTF/TTF
 ${source:Extended-Description}

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
	PYTHONPATH="$(CURDIR)/Lib" help2man \
		   -n "compile fonts from UFO or Glyphs to OTF/TTF" \
		   --no-info \
		   "python3 $(CURDIR)/Lib/fontmake" \
		   > debian/fontmake.1

execute_after_dh_auto_clean:
	rm -fv Lib/fontmake/_version.py

execute_after_dh_auto_test:
	rm -rfv $(CURDIR)/.pybuild/cpython3_*/build/instance_ttf
	rm -rfv $(CURDIR)/.pybuild/cpython3_*/build/master_ttf

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
 https://api.github.com/repos/googlefonts/fontmake/releases?per_page=100 \
 https://api.github.com/repos/googlefonts/fontmake/tarball/@ANY_VERSION@

## fontmake 3.11.1

=== requirements.txt ===
fonttools[ufo,repacker,lxml,unicode]==4.59.2; platform_python_implementation == 'CPython'
fonttools[ufo,repacker,unicode]==4.59.2; platform_python_implementation != 'CPython'
glyphsLib==6.11.6
ufo2ft==3.6.1
fontMath==0.9.4
booleanOperations==0.9.0
ufoLib2==0.18.1
cffsubr==0.3.0
compreffor==0.5.6
ttfautohint-py==0.6.0

# optional, for experimental reading/writing ufoLib2's UFO as json
cattrs==25.1.1
orjson==3.11.3; platform_python_implementation == 'CPython'

=== debian/changelog ===
fontmake (3.11.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Bump Standards-Version to 4.7.3.
  * debian/control: Bump Build-dependency version requirement.
  * debian/patches: Drop backported patches.

  [ Bastian Germann ]
  * debian/patches/Skip-test_autohinting-due-to-missing-ttfautohint-py.patch:
    Dropped, run the autohint test again.

 -- Boyuan Yang <byang@debian.org>  Wed, 28 Jan 2026 18:01:13 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: fontmake
 Section: devel
-Priority: optional
 Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders: Yao Wei (魏銘廷) <mwei@debian.org>
 Build-Depends:
@@ -10,25 +9,26 @@
  python3-all,
  python3-setuptools,
  python3-setuptools-scm,
- python3-fonttools (>= 4.55),
- python3-glyphslib (>= 6.9.2),
- python3-ufo2ft (>= 3.3.1),
+ python3-fonttools (>= 4.59.2),
+ python3-glyphslib (>= 6.11.6),
+ python3-ufo2ft (>= 3.6.1),
  python3-mutatormath (>= 2.1.2),
  python3-fontmath (>= 0.9.4),
  python3-defcon (>= 0.8.1),
  python3-booleanoperations (>= 0.9.0),
- python3-ufolib2 (>= 0.16.0),
+ python3-ufolib2 (>= 0.18.1),
  python3-attr (>= 20.2.0),
  python3-cffsubr (>= 0.3.0),
  python3-compreffor (>= 0.5.6),
  python3-pytest <!nocheck>,
+ python3-ttfautohint-py <!nocheck>,
+ ttfautohint <!nocheck>,
  help2man,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/googlefonts/fontmake
 Vcs-Git: https://salsa.debian.org/fonts-team/fontmake.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fontmake
 Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
 Description: Compile fonts from UFO or Glyphs to OTF/TTF
  This library provides a wrapper for several other Python libraries which
  together compile fonts from various sources (.glyphs, .ufo) into binaries
